Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# AsyncTaskSequence Class Reference

A special kind of task that serves as a list of tasks internally. More...

Inheritance diagram for AsyncTaskSequence:

List of all members.

## Public Member Functions
| AsyncTaskSequence (string name)
int | getCurrentTaskIndex ()
| Returns the index of the task within the sequence that is currently being executed (or that will be executed at the next epoch).
int | getRepeatCount ()
| Returns the repeat count of the sequence.
| operator new (unsigned int size)
| setRepeatCount (int repeat_count)
| Sets the repeat count of the sequence.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A special kind of task that serves as a list of tasks internally.

Each task on the list is executed in sequence, one per epoch.

This is similar to a Sequence interval, though it has some slightly different abilities. For instance, although you can't start at any arbitrary point in the sequence, you can construct a task sequence whose duration changes during playback.

## Constructor & Destructor Documentation

AsyncTaskSequence | ( | string | name | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from AsyncTask.

int getCurrentTaskIndex | ( |  | ) |

Returns the index of the task within the sequence that is currently being executed (or that will be executed at the next epoch).

int getRepeatCount | ( |  | ) |

Returns the repeat count of the sequence.

See set_repeat_count().

operator new | ( | unsigned int | size | ) |

setRepeatCount | ( | int | repeat_count | ) |

Sets the repeat count of the sequence.

If the count is 0 or 1, the sequence will run exactly once. If it is greater than 0, it will run that number of times. If it is negative, it will run forever until it is explicitly removed.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties